% !TeX spellcheck = en_GB
\begin{itemize}
	\item talk about labels, show some graph
\end{itemize}


The dataset that will be analysed in this report contains 12-lead \gls{ECG} signals of over 45,000 patients and was created by Zheng et al \cite{ecg_database_paper} for enabling scientists to study arrhytmia and other heart related problems. 


Also cite \cite{physionet_dataset}


The \gls{ECG} signals and there connected header files are stored in WFDB format, with the signal being sampled at \SI{500}{Hz} and the header file containing basic information for each channel and also the diagnosis of the signal, for example normal sinus rhytm or arrhytmia.

Figure \ref{img:plots_all_ecg_channels} shows a random 12 channel sample where each plot represents one of the channel of the measurement

\begin{figure}[H]
	\centering
	\includegraphics[width=1\textwidth]{images/plots_all_ecg_channels.png}
	\caption{Random sample of 12-channel ECG measurement}
	\label{img:plots_all_ecg_channels}
\end{figure}

Using the python library biosppy\footnote{\url{https://biosppy.readthedocs.io/en/stable/}}, additional information can be extracted from each signal

\begin{itemize}
	\item more text...
\end{itemize}


\begin{figure}[H]
	\centering
	\includegraphics[width=0.8\textwidth]{images/biosppy_ecg_summary.png}
	\caption{Placeholder}
	\label{img:biosppy_ecg_summary}
\end{figure}



\subsection{Labels}
Each \gls{ECG} measurement has one to multiple labels assigned which represent a condition based on the signals. For this analysis two different classification approaches are applied. The first one uses a binary classification by separating the signals into signals with and without arrythmia. Arryhtmia is a problem with the rate of the heartbeat where the heart beats to slow, fast or irregular.\footnote{\nhlbiurl} For the second approach a multi-class classification is done, separating the measurements into the classes \gls{AFIB}, \gls{GSVT}, \gls{SR} and \gls{SB}. This separation is based on a similar work done by Zheng et al\cite{omsaca}. Table \ref{tab:classesandconditions} shows an overview for the full condition names contained in each class.\\
As an additional pre-filtering step, signals with one of the following labels are excluded from the analysis, because the measurement is not usable: \textit{poor R wave progression} (365413008), \textit{low QRS voltages} (251146004), \textit{pacing rhythm} (10370003). This exclusion is based on the work of Roneel V. Sharan et al\cite{asdaffot}.


\begin{table}[H]
	\caption{Classes and their connected conditions}
	\label{tab:classesandconditions}
	\begin{center}
	\begin{tabular}{|l|l|}
		\hline
		Class & Contained conditions                                                                                                                                                                                                     \\ \hline
		AFIB  & \begin{tabular}[c]{@{}l@{}}atrial fibrillation (164889003)\\ atrial flutter (164890007)\end{tabular}                                                                                                                     \\ \hline
		GSVT  & \begin{tabular}[c]{@{}l@{}}supraventricular tachycardia 426761007\\ atrial tachycardia 713422000\\ atrioventricular node reentrant tachycardia 233896004\\ atrioventricular reentrant tachycardia 233897008\end{tabular} \\ \hline
		SB    & sinus bradycardia 426177001                                                                                                                                                                                              \\ \hline
		SR    & \begin{tabular}[c]{@{}l@{}}sinus rhytm 426783006\\ Sinus Irregularity,427393009Sinus Tachycardia,427084000\end{tabular}                                                                                                  \\ \hline
	\end{tabular}
\end{center}
\end{table}
